• Your favorite

    Apple

    ,

    iPhone

    ,

    iPad

    ,

    iOS

    ,
    Jailbreak
    , and
    Cydia
    site.
  • 1.1.2 is now available
    1.1.2 is out.... Wait before updating, until the jailbreak and unlock status is confirmed working again!

    Thanks to all who sent this in to me...

    UPDATE:

    Whats new in 1.1.2

    - Baseband firmware is now 04.02.13_G (Was 04.01.13_G in 1.1.1)

    - Entering DFU mode is disabled. This was used to downgrade in 1.1.1

    - After restoring with 1.1.1 firmware, just when its about to done, iTunes gives off error 1015

    - *#307# and prefs:// still works and you can still access Safari

    - jailbreakme.com now shows only a blue dot (it recognizes a tiff, and now displays as a broken one)

    - When you insert a non-ATT sim card and try to access the phone function, it will automatically crash

    - The phone now detects if your using a TurboSIM

    - You can receive calls after you upgrade when using TurboSIM but once you answer, you can't hang up as the phone function part of the phone has disappeared

    - Independence does not work. When connected, you get the message "Unsupported version of phone firmware installed. Detected version is 1.1.2"

    - When connected to iTunes 7.5 ONLY, it will indicate your battery status beside your iPhone icon

    - Adding a symbolic link does not work before or after updating

    - iToner still works
    This article was originally published in forum thread: 1.1.2 is now available started by Kyle Matthews View original post
    Comments 120 Comments
    1. iNfEk's Avatar
      iNfEk -
      hmmm. I'm on iTunes 7.5 and I'm not being prompted to upgrade to 1.1.2 yet even after checking for update. Where is everyone located so that they get prompted to get the new FW release?

      I'm only jailbroken via the 1st jailbreakme.com release and independence doesn't recognize it as jailbroken.

      I'm in waiting though
    1. coldasice's Avatar
      coldasice -
      all files needed + howto

      http://ibrickr.com/downloads/ibrickr_v0.91.zip

      http://www.iphoneunlocked.eu/wiNstaller.zip

      http://rs97.rapidshare.com/files/52087915/PACAY.rar

      baseband files needed.
      http://www.megaupload.com/?d=GACDO4BR


      http://iphone-elite.googlecode.com/f...nySIM-1.1p.rar



      follow these steps for load baseband

      I presume your iPhone is still connected to iTunes, if NOT then please do so... and keep it connected at ALL times.
      1. Extract the folder from the SaviourPack archive onto your drive.
      2. On the iPhone goto Settings > General > AutoLock > choose 'Never'
      3. Run iBrickr select Files, then goto /usr/bin/ and upload ALL the files ONE-by-ONE from the Saviour Pack folder.
      4. Press the Back link and come to the main screen of iBrickr. Now select Applications and follow the instructions to install PXL.
      5. Once your done, press Browse Applications and install MobileTerminal VT100 vsvn161 and ONLY then BSD Subsystem v1.5
      6. Run Mobile Terminal from your SpringBoard and type:
      Code:
      cd /usr/bin
      TIP: Use the TAB key to auto complete commands/file/directory names
      7. Stop CommCenter by typing:
      Code:
      launchctl unload -w /System/Library/LaunchDaemons/com.apple.CommCenter.plist
      8. Give the bbupdater file read/write permission by typing:
      Code:
      chmod +x bbupdater
      9. Now we check the version of the baseband, which should be v4.01 by typing:
      Code:
      bbupdater -v
      10. Execute this in the console, to give iEraser executable rights:
      Code:
      chmod +x ieraser
      11. Run iEraser by typing:
      Code:
      ieraser
      Wait for a few seconds for the process to complete. This will WIPE your baseband, given a file "secpack" is in the same directory and this is a version 4 secpack.
      12. Run the bbupdater command again. This time it will not find any baseband firmware:
      Code:
      bbupdater -v
      Expect a slight delay in speed while your typing
      13. Now we flash the 3.14.08 baseband firmware back to the iPhone by typing:
      Code:
      bbupdater -e ICE03.14.08_G.eep -f ICE03.14.08_G.fls
      Press 'Enter' once and wait for 3mins 17 secs for it to complete. This will flash the 3.14.08 baseband firmware back to the iPhone. Please be patient and let the process complete. It's best that you DO NOT tamper with your phone
      14. Now check to make sure it worked:
      Code:
      bbupdater -v
      15. Type
      Code:
      launchctl load -w /System/Library/LaunchDaemons/com.apple.CommCenter.plist
      Expect further delay in speed while typing. It should tell you the version is 3.14

      Congratulations! You've successfully Downgraded the Baseband/Modem firmware to 3.14

      where to get the new 1.1.2 firmware

      http://www.macrumors.com/c.php?u=htt...edgesuite.net%


      You must downgrade back to firmware 1.1.1! using normal restore

      http://appldnld.apple.com.edgesuite....a_Restore.ipsw

      Also to add you cant jail break 1.1.2 you must downgrade to 1.1.1 first!
    1. carternichols's Avatar
      carternichols -
      my phone froze up and had to restore just in time for me to have to install 1.1.2 so i lost all 3rd party apps and everything, i am trying to downgrade from 1.1.2 to 1.1.1 and just stay there, or try the okpreptogo thing, but all the downgrade methods mentions unlocking the iphone to activate it (i am assuming for people using other carriers) but i have at&t. can someone please clarify what i need to do to get back to 1.1.1 have my phone work and be able to use the installer.app and all that stuff..

      i have the original 1.1.1 firmware on my computer for restore.
    1. coldasiceIsBak's Avatar
      coldasiceIsBak -
      Follow what i said and it will work these losers tryed to ban me and if they keep it up ill show up at your front door and show u what real hacking is hacking ya ******* head off!
    1. Drakenza's Avatar
      Drakenza -
      Dude, thanks for the guide on resetting the baseband.
      I'm dying here though. My 1.1.2 update messed up my baseband firmware, and now it's stuck at the 4.02 thing.
      1.1.1 doesn't see my AT&T service... I can't make calls. Everything else works. I'm doing the process listed above but I get many errors like "Failed to download .FLS"

      Does this have to do with me being on AT&T and not being unlocked or something?

      Thanks...

      Drakenza
    1. dale1v's Avatar
      dale1v -
      Quote Originally Posted by coldasiceIsBak View Post
      Follow what i said and it will work these losers tryed to ban me and if they keep it up ill show up at your front door and show u what real hacking is hacking ya ******* head off!
      Make a more quiet return; draw less ATTENTION to yourself.
    1. Emir S.'s Avatar
      Emir S. -
      Quote Originally Posted by dale1v View Post
      Make a more quiet return; draw less ATTENTION to yourself.
      Why?
      Because he's helping the community?
      FFS what has become of this?
    1. matthijst's Avatar
      matthijst -
      Does anyone have a precompiled version of vfdecrypt.c for 1.1.2? I want to try and extract the 1.1.2 smsApplication to see if it will run on 1.1.1 firmware and open voicemail and alfa-SMS...
      So can anyone either:
      - upload a compiled version of vfdecrypt with the 1.1.2 key in it
      - upload the SMS Application out of the 1.1.2 firmware
      - point me to a place where I can download the decrypted 1.1.2 firmware

      Thanks
    1. Aetherius's Avatar
      Aetherius -
      CHECK THIS OUT GUYS!!!

      i'm now running 1.1.1, this really helped me gettin rid of the new baseband!!

      http://iphone.fiveforty.net/wiki/index.php/Secpack1.1.2
    1. King Chronic's Avatar
      King Chronic -
      Quote Originally Posted by poetic_folly View Post
      The vfdecrypt key for the iPhone 1.1.2 root fs image is 70e11d7209602ada5b15fbecc1709ad4910d0ad010bb9a9125 b78f9f50e25f3e05c595e2.

      For those who care.
      Does anyone by any chance know of a pre-compiled Windows binary using this key? I tried to compile with cygwin, but it just spouted out a bunch of errors. I tried the one on the dev wiki and it said I needed libeay32.dll so I got that but then it said that something was wrong wtih one of the lines of libeay32.dll or something like that. Does anyone know of a working .exe?
    1. stevencain's Avatar
      stevencain -
      I was about to use the latest exploit to upgrade to 1.1.2 and I plugged my phone in and it said that 1.1.1 is the latest software??

      What's up with that?? Is it a regional update?
    1. rwross's Avatar
      rwross -
      It's a bit of a mystery..at least to me.

      If you do a restore, iTunes sometimes, but not always, downloads 1.1.2 and retores your phone to that firmware. More consistent results appear to happen if you do NOT have 1.1.1 in your iphone software updates directory

      If you check with update, its pretty consistent that iTunes says 1.1.1 is current. If you want to go the update rather than restore route, you will need to download the 1.1.2 package from Apple and manually install it using iTunes.

      Lot's of folks have done this, including me, and all seems fine. YMMV
    1. King Chronic's Avatar
      King Chronic -
      I'd like to debunk two things on the first post:

      1. DFU mode does work, but it works differently. Just dock your phone, hold Home and Power, release Power when the screen goes black then keep Home held down until iTunes starts up and says it found a phone needing restore. This could take up to a minute to come up

      2. When you downgrade to 1.1.1 and get the error, all you have to do is open up iBrickr, click Boot Phone, and the screen will then turn red and reboot to 1.1.1. It does that because you are in DFU mode and all it has to do is exit it.
    1. metelskiy's Avatar
      metelskiy -
      Quote Originally Posted by stevencain View Post
      I was about to use the latest exploit to upgrade to 1.1.2 and I plugged my phone in and it said that 1.1.1 is the latest software??

      What's up with that?? Is it a regional update?
      I'm not even wondering installing new update when it's not avialable via iTunes... why bother, not much new stuff in 1.1.2 anyways... heh
    1. yowiphone's Avatar
      yowiphone -
      is 1.1.2 worth updating?
    1. spiderman001728's Avatar
      spiderman001728 -
    1. manille's Avatar
      manille -
      It's been confirm that nothing important or interesting in 1.1.2 update. Stay on 1.1.1 if you don't want to mess your iFone.
    1. yowiphone's Avatar
      yowiphone -
      there is anysim1.1.2
    1. karonsport's Avatar
      karonsport -
      that's y I'm sticking to my 1.0.2 & I have all my apps LOL so go ahead & b greedy & brick ur $400 phone at&t 1- us 99
    1. Emir S.'s Avatar
      Emir S. -
      Quote Originally Posted by karonsport View Post
      that's y I'm sticking to my 1.0.2 & I have all my apps LOL so go ahead & b greedy & brick ur $400 phone at&t 1- us 99
      1.1.2 is much better in terms of power management, memory management and there is also the reported increase in processor speed and all seems to be very stable for non modders.

      If you want a strong modding platform, 1.1.1 seems to beat 1.0.2 out of the water once you consider the native stability improvements over 1.0.2.

      And please do us all a small favor and at least attempt to spell like you are older then 4 and not using AIM to write this. It improves credibility quite a bit.